import * as express from 'express';
import { IOptions } from '../interface/options';
export declare class Server {
    protected options: IOptions;
    protected server: any;
    protected controllers: Array<any>;
    constructor(options: IOptions);
    start(): Promise<void>;
    private processControllers;
    registerControllers(controllers: Array<any>): void;
    registerMiddleware(middleware: (request: express.Request, response: express.Response, next: express.NextFunction) => void): void;
}
